%define name proj
%define version 4.4.3
%define release 1mdk

%define major 0
%define libname lib%{name}%{major}

Summary: Cartographic projection software
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: PROJ.4A.3.3.tar.bz2
License: MIT License
URL: http://www.remotesensing.org/proj/
Group: Sciences/Geosciences
Buildroot: %{_tmppath}/%{name}-buildroot

%description
Cartographic projection software and libraries.

%package -n %{libname}
Summary: Cartographic projection software - Libraries
Group: System/Libraries
License: MIT License
%description -n %{libname}
Cartographic projection software and libraries.

%package -n %{libname}-devel
Summary: Cartographic projection software - Development files
Group: Development/Other
License: MIT License
Provides: libproj-devel
Requires: libproj0 = %version
%description -n %{libname}-devel
Cartographic projection development files.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -D -a 1 

%configure

%build
%make

cp PROJ.4/nad/* nad

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT  

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/proj/*
%doc AUTHORS COPYING ChangeLog NEWS README

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a


%changelog 
* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.3-1mdk
- updated to 4.4.3

* Wed Apr 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-3mdk 
- fixes from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- static libraries

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-2mdk
- rebuild
- apply library policy

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.4.2-1mdk
- new in contribs
- used srpm from Franck Martin <franck@sopac.org>
